Subject: Nicaragua Fuel Supply Arrangement - Option Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 11 May 1999 03:36:00 -0700 (PDT)

This is to confirm our conversation relating to the Option Agreement.  If EFI 
is to sign, I believe that the following changes need to be made.
 1.  The last sentence of paragraph No. 2 should be deleted.  The agreements 
provide that EFI has the right to assign to an affiliate without EI's 
consent.  EFI needs to maintain its right to so assign during the term of the 
agreements.
 2  Paragraph No. 3 needs to be modified by adding the words "as reasonably" 
before requested in the third line thereof; and deleting the word "not" in 
the fifth line thereof.  Additionally, the last sentence needs to be deleted, 
because the indemnity agreement needs to remain in effect for so long as EFI 
is requested to perform any services under those agreements.

Please call if these requested changes present any problems.